/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.common.vo;

import java.io.Serializable;
import java.util.Date;

/**
 * @author yoshida
 *
 */
public class ExclusiveVo implements Serializable {
	
	private static final long	serialVersionUID	= -118928899192891261L;
	
	private int					exclusiveType;
	private String				userId;
	private String				target;
	private Date				date;
	

	/**
	 * コンストラクタ
	 * @param exclusiveType 	排他区分
	 * @param userId 			対象ユーザーID
	 * @param target 			編集対象
	 */
	public ExclusiveVo(int exclusiveType, String userId, String target) {
		this.exclusiveType = exclusiveType;
		this.userId = userId == null ? "" : userId;
		this.target = target == null ? "" : target;
		date = new Date();
	}
	
	// アクセサメソッド
	/**
	 * @return 	排他区分
	 */
	public int getExclusiveType() {
		return exclusiveType;
	}
	
	/**
	 * @return 	対象ユーザーID
	 */
	public String getUserId() {
		return userId;
	}
	
	/**
	 * @return 	編集対象
	 */
	public String getTarget() {
		return target;
	}
	
	/**
	 * @return 日付
	 */
	public Date getDate() {
		return (Date)date.clone();
	}
	
}
